# == Class: cleanup
#
# Cleanup Class will perform required cleanup
#
# Remove any unattend.xml files
#
# === Parameters
#
# None
#
# === Examples
#
#  class { windows_postinstall::cleanup::cleanup }
#
class windows_postinstall::cleanup::cleanup ()
{

  # Ensure that any Windows unattend/unattended XML files are removed
  file {'C:\Windows\panther\unattended.xml':
    ensure => 'absent',
  }

  file {'C:\Windows\system32\sysprep\unattended.xml':
    ensure => 'absent',
  }

  file {'C:\Windows\unattended.xml':
    ensure => 'absent',
  }

  file {'C:\unattended.xml':
    ensure => 'absent',
  }

  file {'C:\Windows\panther\unattend.xml':
    ensure => 'absent',
  }

  file {'C:\Windows\system32\sysprep\unattend.xml':
    ensure => 'absent',
  }

  file {'C:\Windows\unattend.xml':
    ensure => 'absent',
  }

  file {'C:\unattend.xml':
    ensure => 'absent',
  }
}
